{"swagger":"2.0","info":{"version":"1.0.0","title":"a2a_authority_check","description":"API Definition of BS ??? - authority check"},"host":"glin-platform-dev.enelint.global","tags":[{"name":"authority_check"}],"basePath":"/authority_check","schemes":["https"],"paths":{"/auth{lcl_number}/{cui}":{"get":{"description":"authority check by LCL","tags":["authority_check"],"consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"lcl_number","in":"path","description":"LCL number","required":true,"type":"string","format":"string","minLength":10,"maxLength":10},{"name":"cui","in":"path","description":"Supplier identification code","required":true,"type":"string","format":"string","minLength":10,"maxLength":10}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/auth_response"}},"204":{"description":"LCL not found"},"401":{"description":"Not Authorized"}},"security":[{"default":[]}],"x-auth-type":"Application & Application User","x-throttling-tier":null}}},"definitions":{"auth_response":{"type":"object","required":["vat_number","supplier_code","supplier_name","lcl_status","agreement"],"properties":{"vat_number":{"type":"string","maxLength":20},"supplier_code":{"type":"string","maxLength":10},"supplier_name":{"type":"string","maxLength":35},"lcl_status":{"type":"string"},"agreement":{"type":"string","maxLength":10}}}},"securityDefinitions":{"default":{"type":"oauth2","authorizationUrl":"https://glin-platform-dev.enelint.global","flow":"implicit"}}}